---
title: Update a content security rule
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Page Shield](https://developers.cloudflare.com/api/go/resources/page_shield)

[Policies](https://developers.cloudflare.com/api/go/resources/page_shield/subresources/policies)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Update a content security rule

client.PageShield.Policies.Update(ctx, policyID, params) (\*[PolicyUpdateResponse](<https://developers.cloudflare.com/api/go/resources/page_shield#(resource)%20page_shield.policies%20%3E%20(model)%20PolicyUpdateResponse%20%3E%20(schema)>), error)

PUT/zones/{zone\_id}/page\_shield/policies/{policy\_id}

Updates the description, action, expression, enabled state, and policy value for a content security rule.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Page Shield``Domain Page Shield``Zone Settings Write`

##### ParametersExpand Collapse

policyID string

Identifier

maxLength32

[Link to this property](<#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20policy_id%20%3E%20(schema)>)

<details>

<summary>

params PolicyUpdateParams

</summary>

ZoneID param.Field\[string]

Path param: Identifier

maxLength32

<a href="#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

<details>

<summary>

Action param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/page_shield/subresources/policies/methods/update#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20action%20%3E%20(schema)">PolicyUpdateParamsAction</a>]Optional

Body param: The action to take if the expression matches

</summary>

const PolicyUpdateParamsActionAllow <a href="https://developers.cloudflare.com/api/go/resources/page_shield/subresources/policies/methods/update#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20action%20%3E%20(schema)">PolicyUpdateParamsAction</a> = "allow"

<a href="#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20action%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const PolicyUpdateParamsActionLog <a href="https://developers.cloudflare.com/api/go/resources/page_shield/subresources/policies/methods/update#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20action%20%3E%20(schema)">PolicyUpdateParamsAction</a> = "log"

<a href="#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20action%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

const PolicyUpdateParamsActionAddReportingDirectives <a href="https://developers.cloudflare.com/api/go/resources/page_shield/subresources/policies/methods/update#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20action%20%3E%20(schema)">PolicyUpdateParamsAction</a> = "add\_reporting\_directives"

<a href="#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20action%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20action">Link to this property</a>

Description param.Field\[string]Optional

Body param: A description for the policy

<a href="#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20description">Link to this property</a>

Enabled param.Field\[bool]Optional

Body param: Whether the policy is enabled

<a href="#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20enabled">Link to this property</a>

Expression param.Field\[string]Optional

Body param: The expression which must match for the policy to be applied, using the Cloudflare Firewall rule expression syntax

<a href="#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20expression">Link to this property</a>

Value param.Field\[string]Optional

Body param: The policy which will be applied

<a href="#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20value">Link to this property</a>

</details>

[Link to this property](<#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type PolicyUpdateResponse struct{…}

</summary>

ID string

Identifier

maxLength32

<a href="#(resource)%20page_shield.policies%20%3E%20(model)%20PolicyUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

Action PolicyUpdateResponseAction

The action to take if the expression matches

</summary>

One of the following:

const PolicyUpdateResponseActionAllow PolicyUpdateResponseAction = "allow"

<a href="#(resource)%20page_shield.policies%20%3E%20(model)%20PolicyUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20action%20%3E%20(member)%200">Link to this property</a>

const PolicyUpdateResponseActionLog PolicyUpdateResponseAction = "log"

<a href="#(resource)%20page_shield.policies%20%3E%20(model)%20PolicyUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20action%20%3E%20(member)%201">Link to this property</a>

const PolicyUpdateResponseActionAddReportingDirectives PolicyUpdateResponseAction = "add\_reporting\_directives"

<a href="#(resource)%20page_shield.policies%20%3E%20(model)%20PolicyUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20action%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20page_shield.policies%20%3E%20(model)%20PolicyUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20action">Link to this property</a>

Description string

A description for the policy

<a href="#(resource)%20page_shield.policies%20%3E%20(model)%20PolicyUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

Enabled bool

Whether the policy is enabled

<a href="#(resource)%20page_shield.policies%20%3E%20(model)%20PolicyUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

Expression string

The expression which must match for the policy to be applied, using the Cloudflare Firewall rule expression syntax

<a href="#(resource)%20page_shield.policies%20%3E%20(model)%20PolicyUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20expression">Link to this property</a>

Value string

The policy which will be applied

<a href="#(resource)%20page_shield.policies%20%3E%20(model)%20PolicyUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

[Link to this property](<#(resource)%20page_shield.policies%20%3E%20(model)%20PolicyUpdateResponse%20%3E%20(schema)>)

### Update a content security rule

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/page_shield"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  policy, err := client.PageShield.Policies.Update(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    page_shield.PolicyUpdateParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", policy.ID)
}
```

200 example

```
{
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "action": "allow",
    "description": "Checkout page CSP policy",
    "enabled": true,
    "expression": "ends_with(http.request.uri.path, \"/checkout\")",
    "value": "script-src 'none';"
  },
  "success": true,
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ]
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "action": "allow",
    "description": "Checkout page CSP policy",
    "enabled": true,
    "expression": "ends_with(http.request.uri.path, \"/checkout\")",
    "value": "script-src 'none';"
  },
  "success": true,
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ]
}
```